%bcond_with    tex
%bcond_with    xhtml

Summary:       A tool for converting XML files to various formats
Name:          xmlto
Version:       0.0.28
Release:       5%{?dist}
License:       GPLv2+
URL:           https://pagure.io/xmlto/
Source0:       https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: make gcc
BuildRequires: docbook-xsl libxslt util-linux flex

Requires:      docbook-xsl docbook-dtds libxslt
Requires:      util-linux flex

%description
This package convert XML files to various formats using XSL stylesheets.

%if %{with tex}
%package       tex
Summary:       A set of xmlto backends with TeX requirements
License:       GPLv2+

Requires:      tex-passivetex
Requires:      xmlto = %{version}-%{release}

BuildArch:     noarch

%description   tex
This package provides xmlto backend scripts require PassiveTeX/TeX for functionality.
%endif


%if %{with xhtml}
%package       xhtml
Summary:       A set of xmlto backends for xhtml1 source format
License:       GPLv2+

Requires:      xhtml2fo-style-xsl
Requires:      xmlto = %{version}-%{release}

BuildArch:     noarch

%description   xhtml
This package providess xmlto backend scripts to process xhtml1 source format.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure BASH=/bin/bash
%make_build

%check
%make_build check

%install
%make_install

%files
%license COPYING
%doc ChangeLog README AUTHORS NEWS
%{_bindir}/*
%{_datadir}/xmlto
%{_mandir}/*/*

%if %{with tex}
%files tex
%{_datadir}/xmlto/format/fo/dvi
%{_datadir}/xmlto/format/fo/ps
%{_datadir}/xmlto/format/fo/pdf
%endif

%if %{with xhtml}
%files xhtml
%dir %{_datadir}/xmlto/format/xhtml1/
%{_datadir}/xmlto/format/xhtml1/*
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.28-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.28-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.28-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Oct 18 2022 Shuo Wang <abushwang@tencent.com> - 0.0.28-1
- initial build
